Hi everyone , I was using the below code to drive the full sheet metal parts for the machine through assembly user parameters and it will copy same parameters to other parts , but suddenly I start to receive error on line 31 which I can't solve so is there other code to do the same or how to debug old one , thanks.
Sub Main Dim asm As AssemblyDocument = ThisDoc.Document copyParams(asm) iLogicVb.UpdateWhenDone = True End Sub Sub copyParams(oAsm As AssemblyDocument) For Each oDoc As Document In oAsm.AllReferencedDocuments If oAsm.ComponentDefinition.Occurrences.AllReferencedOccurrences(oDoc).Count > 0 If oDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Dim oDef As PartComponentDefinition = oDoc.ComponentDefinition ' Extra ' If oDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject ' Dim cDef As AssemblyComponentDefinition = cDoc.ComponentDefinition For Each oParam As Inventor.Parameter In oAsm.ComponentDefinition.Parameters.UserParameters Dim paramInPart As Inventor.Parameter Try paramInPart = oDef.Parameters.UserParameters.Item(oParam.Name) Try paramInPart.Expression = oParam.Expression Catch paramInPart.Value = oParam.Value End Try Catch Try oDef.Parameters.UserParameters.AddByExpression(oParam.Name, oParam.Expression, oParam.Units) Catch oDef.Parameters.UserParameters.AddByValue(oParam.Name, oParam.Expression, oParam.Units) End Try End Try Next ElseIf oDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject 'if the referenced document is an assembly 'the sub will call itself with that document as the argument copyParams(oDoc) End If End If ' End If Next End Sub
error line "
oDef.Parameters.UserParameters.AddByValue(oParam.Name, oParam.Expression, oParam.Units)"
Solved! Go to Solution.
Solved by Andrii_Humeniuk. Go to Solution.
Hi @Ahmed.shawkyXTZHN . I already answered a similar question, but in this case the rules are copied to the object you choose.
Andrii Humeniuk - CAD Coordinator, Autodesk Certified Instructor
LinkedIn | My free Inventor Addin | My Repositories
Did you find this reply helpful ? If so please use the Accept as Solution/Like.
Can't find what you're looking for? Ask the community or share your knowledge.